## org.apache.xalan.xsltc.compiler
Class sym

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.compiler.sym

public class sym
extends java.lang.Object

CUP generated class containing symbol constants.

Field Summary
`static int` `ANCESTOR`
`static int` `ANCESTORORSELF`
`static int` `AND`
`static int` `ATSIGN`
`static int` `ATTRIBUTE`
`static int` `CHILD`
`static int` `COMMA`
`static int` `COMMENT`
`static int` `DCOLON`
`static int` `DDOT`
`static int` `DESCENDANT`
`static int` `DESCENDANTORSELF`
`static int` `DIV`
`static int` `DOLLAR`
`static int` `DOT`
`static int` `DSLASH`
`static int` `EOF`
`static int` `EQ`
`static int` `error`
`static int` `EXPRESSION`
`static int` `FOLLOWING`
`static int` `FOLLOWINGSIBLING`
`static int` `GE`
`static int` `GT`
`static int` `ID`
`static int` `INT`
`static int` `KEY`
`static int` `LBRACK`
`static int` `LE`
`static int` `Literal`
`static int` `LPAREN`
`static int` `LT`
`static int` `MINUS`
`static int` `MOD`
`static int` `MULT`
`static int` `NAMESPACE`
`static int` `NE`
`static int` `NODE`
`static int` `OR`
`static int` `PARENT`
`static int` `PATTERN`
`static int` `PI`
`static int` `PIPARAM`
`static int` `PLUS`
`static int` `PRECEDING`
`static int` `PRECEDINGSIBLING`
`static int` `QNAME`
`static int` `RBRACK`
`static int` `REAL`
`static int` `RPAREN`
`static int` `SELF`
`static int` `SLASH`
`static int` `STAR`
`static int` `TEXT`
`static int` `VBAR`

Constructor Summary
`sym()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MULT

    public static final int MULT

### Literal

    public static final int Literal

### GE

    public static final int GE

### NAMESPACE

    public static final int NAMESPACE

### SLASH

    public static final int SLASH

### PI

    public static final int PI

### COMMENT

    public static final int COMMENT

### PIPARAM

    public static final int PIPARAM

### FOLLOWINGSIBLING

    public static final int FOLLOWINGSIBLING

### ATSIGN

    public static final int ATSIGN

### DSLASH

    public static final int DSLASH

### LPAREN

    public static final int LPAREN

### EXPRESSION

    public static final int EXPRESSION

### INT

    public static final int INT

### CHILD

    public static final int CHILD

### MINUS

    public static final int MINUS

### STAR

    public static final int STAR

### DESCENDANTORSELF

    public static final int DESCENDANTORSELF

### RPAREN

    public static final int RPAREN

### AND

    public static final int AND

### LT

    public static final int LT

### OR

    public static final int OR

### COMMA

    public static final int COMMA

### DDOT

    public static final int DDOT

### DIV

    public static final int DIV

### PLUS

    public static final int PLUS

### DOT

    public static final int DOT

### ID

    public static final int ID

### LE

    public static final int LE

### QNAME

    public static final int QNAME

### DESCENDANT

    public static final int DESCENDANT

### PRECEDINGSIBLING

    public static final int PRECEDINGSIBLING

### EOF

    public static final int EOF

### error

    public static final int error

### SELF

    public static final int SELF

### VBAR

    public static final int VBAR

### MOD

    public static final int MOD

### ANCESTORORSELF

    public static final int ANCESTORORSELF

### PRECEDING

    public static final int PRECEDING

### EQ

    public static final int EQ

### PATTERN

    public static final int PATTERN

### LBRACK

    public static final int LBRACK

### REAL

    public static final int REAL

### ANCESTOR

    public static final int ANCESTOR

### RBRACK

    public static final int RBRACK

### DCOLON

    public static final int DCOLON

### DOLLAR

    public static final int DOLLAR

### NE

    public static final int NE

### PARENT

    public static final int PARENT

### FOLLOWING

    public static final int FOLLOWING

### KEY

    public static final int KEY

### TEXT

    public static final int TEXT

### ATTRIBUTE

    public static final int ATTRIBUTE

### GT

    public static final int GT

### NODE

    public static final int NODE

Constructor Detail

### sym

    public sym()

Copyright © 2006 Apache XML Project. All Rights Reserved.